Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

After the update or install a program This message appears

Package operation failed

The installation or removal of a software package failed.

installArchives() failed: (Reading database ... 
(Reading database ... 5%%
(Reading database ... 10%%
(Reading database ... 15%%
(Reading database ... 20%%
(Reading database ... 25%%
(Reading database ... 30%%
(Reading database ... 35%%
(Reading database ... 40%%
(Reading database ... 45%%
(Reading database ... 50%%
(Reading database ... 55%%
(Reading database ... 60%%
(Reading database ... 65%%
(Reading database ... 70%%
(Reading database ... 75%%
(Reading database ... 80%%
(Reading database ... 85%%
(Reading database ... 90%%
(Reading database ... 95%%
(Reading database ... 100%%
(Reading database ... 307258 files and directories currently installed.)
Preparing to replace isc-dhcp-client 4.2.4-1ubuntu10 (using .../isc-dhcp-client_4.2.4-1ubuntu10.1_i386.deb) ...
Unpacking replacement isc-dhcp-client ...
Preparing to replace isc-dhcp-common 4.2.4-1ubuntu10 (using .../isc-dhcp-common_4.2.4-1ubuntu10.1_i386.deb) ...
Unpacking replacement isc-dhcp-common ...
Preparing to replace ubuntu-release-upgrader-gtk 1:0.190.1 (using .../ubuntu-release-upgrader-gtk_1%%3a0.190.2_all.deb) ...
Unpacking replacement ubuntu-release-upgrader-gtk ...
Preparing to replace ubuntu-release-upgrader-core 1:0.190.1 (using .../ubuntu-release-upgrader-core_1%%3a0.190.2_all.deb) ...
Unpacking replacement ubuntu-release-upgrader-core ...
Preparing to replace python3-distupgrade 1:0.190.1 (using .../python3-distupgrade_1%%3a0.190.2_all.deb) ...
Unpacking replacement python3-distupgrade ...
Preparing to replace evolution-data-server 3.6.0-0ubuntu2 (using .../evolution-data-server_3.6.0-0ubuntu3_i386.deb) ...
Unpacking replacement evolution-data-server ...
Preparing to replace libcamel-1.2-40 3.6.0-0ubuntu2 (using .../libcamel-1.2-40_3.6.0-0ubuntu3_i386.deb) ...
Unpacking replacement libcamel-1.2-40 ...
Preparing to replace evolution-data-server-common 3.6.0-0ubuntu2 (using .../evolution-data-server-common_3.6.0-0ubuntu3_all.deb) ...
Unpacking replacement evolution-data-server-common ...
Preparing to replace libedataserver-1.2-17 3.6.0-0ubuntu2 (using .../libedataserver-1.2-17_3.6.0-0ubuntu3_i386.deb) ...
Unpacking replacement libedataserver-1.2-17 ...
Preparing to replace libebackend-1.2-5 3.6.0-0ubuntu2 (using .../libebackend-1.2-5_3.6.0-0ubuntu3_i386.deb) ...
Unpacking replacement libebackend-1.2-5 ...
Preparing to replace libebook-1.2-14 3.6.0-0ubuntu2 (using .../libebook-1.2-14_3.6.0-0ubuntu3_i386.deb) ...
Unpacking replacement libebook-1.2-14 ...
Preparing to replace libecal-1.2-15 3.6.0-0ubuntu2 (using .../libecal-1.2-15_3.6.0-0ubuntu3_i386.deb) ...
Unpacking replacement libecal-1.2-15 ...
Preparing to replace libedata-book-1.2-15 3.6.0-0ubuntu2 (using .../libedata-book-1.2-15_3.6.0-0ubuntu3_i386.deb) ...
Unpacking replacement libedata-book-1.2-15 ...
Preparing to replace libedata-cal-1.2-18 3.6.0-0ubuntu2 (using .../libedata-cal-1.2-18_3.6.0-0ubuntu3_i386.deb) ...
Unpacking replacement libedata-cal-1.2-18 ...
Preparing to replace libpq5 9.1.6-1 (using .../libpq5_9.1.6-1ubuntu1_i386.deb) ...
Unpacking replacement libpq5 ...
Preparing to replace ruby1.8 1.8.7.358-4 (using .../ruby1.8_1.8.7.358-4ubuntu0.1_i386.deb) ...
Unpacking replacement ruby1.8 ...
Preparing to replace libruby1.8 1.8.7.358-4 (using .../libruby1.8_1.8.7.358-4ubuntu0.1_i386.deb) ...
Unpacking replacement libruby1.8 ...
Preparing to replace ruby1.9.1 1.9.3.194-1ubuntu1 (using .../ruby1.9.1_1.9.3.194-1ubuntu1.2_i386.deb) ...
Unpacking replacement ruby1.9.1 ...
Preparing to replace libruby1.9.1 1.9.3.194-1ubuntu1 (using .../libruby1.9.1_1.9.3.194-1ubuntu1.2_i386.deb) ...
Unpacking replacement libruby1.9.1 ...
Preparing to replace linux-libc-dev:i386 3.5.0-17.28 (using .../linux-libc-dev_3.5.0-18.29_i386.deb) ...
Unpacking replacement linux-libc-dev:i386 ...
Preparing to replace ubuntu-tweak 0.7.3-1~quantal (using .../ubuntu-tweak_0.8.1-1~quantal1_all.deb) ...
Unpacking replacement ubuntu-tweak ...
Processing triggers for man-db ...
Processing triggers for libglib2.0-0:i386 ...
Processing triggers for gconf2 ...
Processing triggers for menu ...
Processing triggers for hicolor-icon-theme ...
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Setting up crossplatformui (2.1.2) ...
Rather than invoking init scripts through /etc/init.d, use the service(8)
utility, e.g. service acpid restart

Since the script you are attempting to invoke has been converted to an
Upstart job, you may also use the stop(8) and then start(8) utilities,
e.g. stop acpid ; start acpid. The restart(8) utility is also available.
acpid stop/waiting
acpid start/running, process 8138
package libqtgui4 exist
QT_VERSION = 4
make -C /lib/modules/3.6.0-030600-generic/build M=/usr/local/bin/ztemtApp/zteusbserial/below2.6.27 modules
make[1]: Entering directory `/usr/src/linux-headers-3.6.0-030600-generic'
  CC [M]  /usr/local/bin/ztemtApp/zteusbserial/below2.6.27/usb-serial.o
/usr/local/bin/ztemtApp/zteusbserial/below2.6.27/usb-serial.c:34:28: fatal error: linux/smp_lock.h: No such file or directory
compilation terminated.
make[2]: *** [/usr/local/bin/ztemtApp/zteusbserial/below2.6.27/usb-serial.o] Error 1
make[1]: *** [_module_/usr/local/bin/ztemtApp/zteusbserial/below2.6.27] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-3.6.0-030600-generic'
make: *** [modules] Error 2
dpkg: error processing crossplatformui (--configure):
 subprocess installed post-installation script returned error exit status 2
Setting up isc-dhcp-common (4.2.4-1ubuntu10.1) ...
Setting up isc-dhcp-client (4.2.4-1ubuntu10.1) ...
Setting up python3-distupgrade (1:0.190.2) ...
Setting up ubuntu-release-upgrader-core (1:0.190.2) ...
Setting up ubuntu-release-upgrader-gtk (1:0.190.2) ...
Setting up libcamel-1.2-40 (3.6.0-0ubuntu3) ...
Setting up evolution-data-server-common (3.6.0-0ubuntu3) ...
Setting up libedataserver-1.2-17 (3.6.0-0ubuntu3) ...
Setting up libebackend-1.2-5 (3.6.0-0ubuntu3) ...
Setting up libebook-1.2-14 (3.6.0-0ubuntu3) ...
Setting up libecal-1.2-15 (3.6.0-0ubuntu3) ...
Setting up libedata-book-1.2-15 (3.6.0-0ubuntu3) ...
Setting up libedata-cal-1.2-18 (3.6.0-0ubuntu3) ...
Setting up evolution-data-server (3.6.0-0ubuntu3) ...
Setting up libpq5 (9.1.6-1ubuntu1) ...
Setting up libruby1.8 (1.8.7.358-4ubuntu0.1) ...
Setting up ruby1.8 (1.8.7.358-4ubuntu0.1) ...
Setting up libruby1.9.1 (1.9.3.194-1ubuntu1.2) ...
Setting up ruby1.9.1 (1.9.3.194-1ubuntu1.2) ...
Setting up linux-libc-dev:i386 (3.5.0-18.29) ...
Setting up ubuntu-tweak (0.8.1-1~quantal1) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Processing triggers for menu ...
Errors were encountered while processing:
 crossplatformui
Error in function: 
Setting up crossplatformui (2.1.2) ...
Rather than invoking init scripts through /etc/init.d, use the service(8)
utility, e.g. service acpid restart

Since the script you are attempting to invoke has been converted to an
Upstart job, you may also use the stop(8) and then start(8) utilities,
e.g. stop acpid ; start acpid. The restart(8) utility is also available.
acpid stop/waiting
acpid start/running, process 8525
package libqtgui4 exist
QT_VERSION = 4
make -C /lib/modules/3.6.0-030600-generic/build M=/usr/local/bin/ztemtApp/zteusbserial/below2.6.27 modules
make[1]: Entering directory `/usr/src/linux-headers-3.6.0-030600-generic'
  CC [M]  /usr/local/bin/ztemtApp/zteusbserial/below2.6.27/usb-serial.o
/usr/local/bin/ztemtApp/zteusbserial/below2.6.27/usb-serial.c:34:28: fatal error: linux/smp_lock.h: No such file or directory
compilation terminated.
make[2]: *** [/usr/local/bin/ztemtApp/zteusbserial/below2.6.27/usb-serial.o] Error 1
make[1]: *** [_module_/usr/local/bin/ztemtApp/zteusbserial/below2.6.27] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-3.6.0-030600-generic'
make: *** [modules] Error 2
dpkg: error processing crossplatformui (--configure):
 subprocess installed post-installation script returned error exit status 2
share|improve this question

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.